| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Private Member Functions | Private Attributes

# IG::Lib::LoadableScriptOptBase::AnalysisScript Class Reference

Inheritance diagram for IG::Lib::LoadableScriptOptBase::AnalysisScript:
[legend]
Collaboration diagram for IG::Lib::LoadableScriptOptBase::AnalysisScript:
[legend]

List of all members.

## Public Member Functions
| AnalysisScript (LoadableScriptOptBase script)
| Direct analysis class used in optimization problems, modified such that it is connected with a loadable script of type See also: LoadableScriptOptBase .
override void | Analyse (IAnalysisResults anRes)
| Performs analysis - calculates requested results and writes them to the provided data structure.
void | Test ()
## Properties
LoadableScriptOptBase | Script`[get, set]`
| Loadable script object of type LoadableScriptOptBase in which the current object is embedded (and obtains all data from it).
## Private Member Functions
| AnalysisScript ()
## Private Attributes
LoadableScriptOptBase | _script

## Constructor & Destructor Documentation

IG::Lib::LoadableScriptOptBase::AnalysisScript::AnalysisScript | ( |  | ) | `[inline, private]`

IG::Lib::LoadableScriptOptBase::AnalysisScript::AnalysisScript | ( | LoadableScriptOptBase | script | ) | `[inline]`

Direct analysis class used in optimization problems, modified such that it is connected with a loadable script of type

See also:
  LoadableScriptOptBase

.

Parameters:

  script |

## Member Function Documentation

override void IG::Lib::LoadableScriptOptBase::AnalysisScript::Analyse | ( | IAnalysisResults | analysisData | ) | `[inline]`

Performs analysis - calculates requested results and writes them to the provided data structure.

Parameters:

  analysisData | Data structure where analysis request parameters are obtained and where analysis results are written.

Implements IG::Num::IAnalysis.

void IG::Lib::LoadableScriptOptBase::AnalysisScript::Test | ( |  | ) | `[inline]`

## Member Data Documentation

LoadableScriptOptBase IG::Lib::LoadableScriptOptBase::AnalysisScript::_script`[private]`

## Property Documentation

LoadableScriptOptBase IG::Lib::LoadableScriptOptBase::AnalysisScript::Script`[get, set]`

Loadable script object of type LoadableScriptOptBase in which the current object is embedded (and obtains all data from it).

The documentation for this class was generated from the following file:

- LoadableScriptOpt.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events